<!DOCTYPE html>
<html>
<head>
  <title>Countdown Timer</title>
  <style>
    input {
      width: 50px;
      text-align: center;
    }
  </style>
</head>
<body>
  <h1>Countdown Timer</h1>
  <p>Enter the countdown time:</p>
  <label for="hours">Hours:</label>
  <input type="number" id="hours" min="0" max="23" value="0">
  <label for="minutes">Minutes:</label>
  <input type="number" id="minutes" min="0" max="59" value="0">
  <br><br>
  <button onclick="startCountdown()">Start Countdown</button>
  <br><br>
  <div id="countdown"></div>

  <script>
    function startCountdown() {
      var hoursInput = document.getElementById('hours');
      var minutesInput = document.getElementById('minutes');
      var countdownDisplay = document.getElementById('countdown');

      var hours = parseInt(hoursInput.value);
      var minutes = parseInt(minutesInput.value);

      if (isNaN(hours) || isNaN(minutes)) {
        alert('Please enter valid hours and minutes.');
        return;
      }

      var totalTime = hours * 3600 + minutes * 60; // Convert hours and minutes to seconds
      var countdownInterval = setInterval(updateCountdown, 1000);

      function updateCountdown() {
        var hoursRemaining = Math.floor(totalTime / 3600);
        var minutesRemaining = Math.floor((totalTime % 3600) / 60);
        var secondsRemaining = totalTime % 60;

        countdownDisplay.textContent = formatTime(hoursRemaining) + ':' +
                                        formatTime(minutesRemaining) + ':' +
                                        formatTime(secondsRemaining);

        if (totalTime <= 0) {
          clearInterval(countdownInterval);
          countdownDisplay.textContent = 'Countdown Complete!';
        } else {
          totalTime--;
        }
      }

      function formatTime(time) {
        return time < 10 ? '0' + time : time;
      }
    }
  </script>
</body>
</html>
